Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 125597 - big .uml directory created on first startup
big .uml directory created on first startup
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Viktor Lapitski
issues@uml
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 21:32 UTC by Jaroslav Tulach
Modified: 2008-02-22 16:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-01-18 21:32:00 UTC
My measurements of start time indicate that on first start, more than 10% of time is spend by initializing the UML 
module. This is not really polite to users of full IDE that do want to use it for some other reason than designing 
with UML.

Please move the initialization of the $userdir/.uml directory into a place that guarantees the user really needs it. 
E.g. project creation, reverse engineer action, etc.

This is the fix that speeds up the first start to 70s from 80s.

Index: uml/core/src/org/netbeans/modules/uml/UMLCoreModule.java
--- uml/core/src/org/netbeans/modules/uml/UMLCoreModule.java Base (1.6)
+++ uml/core/src/org/netbeans/modules/uml/UMLCoreModule.java Locally Modified (Based On 1.6)
@@ -64,19 +64,14 @@
 {   
    public void restored() 
    {
-      // Retrieve the desired configuration home.  If the property
-      // embarcadero.home-dir has already been set then do not change it
-      // (because that is where the user wants the configuration directory).
-      // If the configuration directory has not been set then set it to
-      // netbeans user home.  The configuration manager will then use the
-      // embarcadero.home-dir property to determine the configuration location.
-
+/*
        String nbuser = System.getProperty("netbeans.user"); // NOI18N
        if (nbuser!=null)
        {
 		   copyDotUmlIntoUserDir(nbuser);
+       } */
+
        }
-   }
    
       
    public static void instantiateDrawingLibrary() {
Comment 1 Viktor Lapitski 2008-01-25 05:09:34 UTC
The 0.8Mb zip is expanded into 7Mb .uml directory on first startup.
Fixed: larger part, specifically 0.68Mb that expands into 6Mb, 
was moved outside of the startup. The part left - 120Kb expanding 
into 1Mb - still left as it contains files necessary for startup 
initialization logic that can't be easy moved outside of startup.
This remainder filed as IZ 125971.
Comment 2 Jaroslav Tulach 2008-02-22 16:28:10 UTC
.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo